<?php
/* ------------------------------------------------------------------------------------
*  COPYRIGHT NOTICE
*  Copyright 2016 Arnan de Gans. All Rights Reserved.

*  COPYRIGHT NOTICES AND ALL THE COMMENTS SHOULD REMAIN INTACT.
*  By using this code you agree to indemnify Arnan de Gans and Luke Williamson
*  from any liability that might arise from using this software.
------------------------------------------------------------------------------------ */
$blocklist = get_option('asb_domains');
$last_check = $blocklist['updated'];
$blocklist_count = count($blocklist['domains']);
$blocklist = ($blocklist_count == 0) ? 70 : $blocklist_count;

$error = get_option('asb_error');

$reported = get_option('asb_reports');
$reports = (!$reported) ? 0 : count($reported);

$next_check = wp_next_scheduled('asb_blocklist_update');
$subscription = get_option('asb_subscription');
?>

<div id="dashboard-widgets-wrap">
	<div id="dashboard-widgets" class="metabox-holder">

		<div id="postbox-container-1" class="postbox-container" style="width:60%;">
			<div id="normal-sortables" class="meta-box-sortables ui-sortable">
				
				<h3><?php _e('Your setup', 'analytics-spam-blocker'); ?></h3>
				<div class="postbox-ajdg">
					<div class="inside">
						<table width="100%">
							<tbody>
							<tr class="first">
								<td class="first b" width="25%"><div class="ongoing_large"><?php _e('Domains in blocklist', 'analytics-spam-blocker'); ?><br /><div class="content_large"><?php echo $blocklist; ?></div></div></td>
								<td class="b"><div class="ongoing_large"><?php _e('Next blocklist update', 'analytics-spam-blocker'); ?><br /><div class="content_large"><?php echo (!$next_check) ? __('Website not registered!', 'analytics-spam-blocker') : get_date_from_gmt(gmdate('Y-m-d H:i:s', $next_check), get_option('date_format')." H:i"); ?></div></div></td>
								<td class="b" width="25%"><div class="ongoing_large"><?php _e('Domains reported', 'analytics-spam-blocker'); ?><br /><div class="content_large"><?php echo $reports; ?></div></div></td>
							</tr>
							</tbody>
						</table>
						<?php if($subscription['status'] == 'reg') { ?>
							<?php if($last_check < (time() - 604800) AND $last_check != 0) { ?>					
								<div class="ongoing_large">
									<div class="ongoing_large"><?php _e('It has been a week since the last update.', 'analytics-spam-blocker'); ?></div>
									<a href="tools.php?page=analytics-spam-blocker&do=check" class="button"><?php _e('Force Update', 'analytics-spam-blocker'); ?></a>
	
								</div>
			 				<?php }	?>
							<?php if(!wp_next_scheduled('asb_blocklist_update')) { ?>					
								<div class="ongoing_large">
									<div class="ongoing_large"><?php _e('Updates are not scheduled.', 'analytics-spam-blocker'); ?></div>
									<a href="tools.php?page=analytics-spam-blocker&do=schedule" class="button"><?php _e('Schedule Updates', 'analytics-spam-blocker'); ?></a>
	
								</div>
			 				<?php }	?>
							<?php if(is_array($error)) { ?>					
								<div class="ongoing_large">
									<?php echo $error['status'].' - '.$error['error']; ?><br /><br />
									<?php _e('Any errors usually resolve themselves after about 24 hours!', 'analytics-spam-blocker'); ?><br /><?php _e('Contact support if they do not.', 'analytics-spam-blocker'); ?>
								</div>
			 				<?php }	?>
		 				<?php }	?>
					</div>
				</div>


				<h3><?php _e('Report domain', 'analytics-spam-blocker'); ?></h3>
				<div class="postbox-ajdg">
					<div class="inside">
					<?php if($subscription['status'] == 'reg') { ?>					
						<form name="report" id="post" method="post" action="tools.php?page=analytics-spam-blocker">
							<?php wp_nonce_field('asb_nonce_report','asb_nonce_report'); ?>
						
							<p><img src="<?php echo plugins_url('/images/icon-report.png', __FILE__); ?>" class="alignleft report-icon" /><?php _e('Please report any domains you think that are referral spam domains via this form. If a domain gets reported enough times by different users it will be included in the main block list. You will not receive a confirmation or reply. This is an automated system and not a contact form. Abuse will void your subscription.', 'analytics-spam-blocker'); ?></p>
						
							<p><label for="asb_report_username"><strong><?php _e('Your name:', 'analytics-spam-blocker'); ?></strong><br /><input tabindex="1" name="asb_report_username" type="text" class="search-input" style="width:100%;" value="<?php echo $current_user->display_name;?>" autocomplete="off" /></label></p>
							<p><label for="asb_report_email"><strong><?php _e('Your email address:', 'analytics-spam-blocker'); ?></strong><br /><input tabindex="2" name="asb_report_email" type="text" class="search-input" style="width:100%;" value="<?php echo $current_user->user_email;?>" autocomplete="off" /></label></p>
							<p><label for="asb_report_votes"><strong><?php _e('How sure are you about the domain?', 'analytics-spam-blocker'); ?></strong><br /><table width="100%"><tbody>
					       	<tr>
						        <td width="25%">
						        	<center><input type="radio" tabindex="3" name="asb_report_votes" value="0" checked="1" /><br /><?php _e("I don't like the domain", 'analytics-spam-blocker'); ?></center>
								</td>
						        <td width="25%">
						        	<center><input type="radio" tabindex="4" name="asb_report_votes" value="1" /><br /><?php _e('Not so sure', 'analytics-spam-blocker'); ?></center>
								</td>
						        <td width="25%">
						        	<center><input type="radio" tabindex="5" name="asb_report_votes" value="2" /><br /><?php _e('Fairly sure', 'analytics-spam-blocker'); ?></center>
								</td>
						        <td width="25%">
						        	<center><input type="radio" tabindex="6" name="asb_report_votes" value="3" /><br /><?php _e('Very sure', 'analytics-spam-blocker'); ?></center>
								</td>
							</tr></table></label></p>
							<p><label for="asb_report_domain"><strong><?php _e('Referral domain:', 'analytics-spam-blocker'); ?></strong><br /><input tabindex="7" name="asb_report_domain" type="text" class="search-input" style="width:100%;" value="" autocomplete="off" /><br /><em><?php _e('(One domain at a time. Leave out http:// and www., Eg: example.com or abc.example.com)', 'analytics-spam-blocker'); ?></em></label></p>
						
							<p class="submit">
								<input tabindex="4" type="submit" name="asb_report_submit" class="button-primary" value="<?php _e('Report Domain', 'analytics-spam-blocker'); ?>" /> <em><?php _e('Please be honest! False submissions will void your subscription!', 'analytics-spam-blocker'); ?></em>
							</p>
							
							<p><strong><?php _e('Note:', 'analytics-spam-blocker'); ?></strong> <?php _e('Reporting the same domain multiple times will have no effect, only the first report will be processed. Submitting domains multiple times will eventually get you banned permanently!', 'analytics-spam-blocker'); ?></p>
						
						</form>
			
					<?php } else { ?>
						<p><img src="<?php echo plugins_url('/images/icon-report.png', __FILE__); ?>" class="alignleft report-icon" /><?php _e('When you activate your free subscription for updates you get access to automated blocklist updates and you can report domains to make the service better. You can spot these domains in your analytics tool.', 'analytics-spam-blocker'); ?></p>

						<p><?php _e('A subscription is optional, the plugin includes a basic list of the most common domains which provides some basic protection. Unfortunately new domains appear every day. Click the button below to register and start receiving updated blocklists weekly. Your website data will not be sold or abused. Nor will it be used for anything else but to provide the Analytics Spam Blocker service.', 'analytics-spam-blocker'); ?></p>

						<form name="register" id="post" method="post" action="tools.php?page=analytics-spam-blocker">
							<?php wp_nonce_field('asb_nonce_register','asb_nonce_register'); ?>
						
							<p><center><input tabindex="1" type="submit" name="asb_register_site" class="button-primary" value="<?php _e('Register This Website', 'analytics-spam-blocker'); ?>" /></center></p>
						</form>

						<p><center><em><?php _e('Thank you for your consideration!', 'analytics-spam-blocker'); ?></em></center></p>
					<?php }	?>

					</div>
				</div>

			</div>
		</div>

		<div id="postbox-container-3" class="postbox-container" style="width:40%;">
			<div id="side-sortables" class="meta-box-sortables ui-sortable">
						
				<h3><?php _e('Support Analytics Spam Blocker', 'analytics-spam-blocker'); ?></h3>
				<div class="postbox-ajdg">
					<div class="inside">
						<p><?php _e('Consider writing a review or making a donation if you like the plugin or if you find the plugin useful. Thanks for your support!', 'analytics-spam-blocker'); ?><br />
						<center><a class="button-primary" href="https://paypal.me/arnandegans/5usd" target="_blank">Donate $5 via Paypal</a><br /><a class="button" target="_blank" href="https://wordpress.org/support/plugin/analytics-spam-blocker/reviews/?rate=5#new-post">Write review on WordPress.org</a></center><br />
						<a href="http://www.arnan.me/?pk_campaign=analytics-spam-blocker&pk_kwd=settings" title="arnan.me - Nomadic in the Philippines"><img src="<?php echo plugins_url('/images/arnan-credits.jpg', __FILE__); ?>" alt="Arnan de Gans" align="center" class="ajdg-photo" width="100%" /></a></p>
						<script>(function(d, s, id) {
						  var js, fjs = d.getElementsByTagName(s)[0];
						  if (d.getElementById(id)) return;
						  js = d.createElement(s); js.id = id;
						  js.src = "https://connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.5";
						  fjs.parentNode.insertBefore(js, fjs);
						}(document, 'script', 'facebook-jssdk'));</script>
						<p><center><div class="fb-page" 
							data-href="https://www.facebook.com/Arnandegans" 
							data-width="350" 
							data-adapt-container-width="true" 
							data-hide-cover="false" 
							data-show-facepile="false">
						</div></center></p>
					</div>
				</div>
						
				<h3><?php _e('Arnan de Gans News & Updates', 'analytics-spam-blocker'); ?></h3>
				<div class="postbox-ajdg">
					<div class="inside">
						<?php wp_widget_rss_output(array(
							'url' => array('http://www.arnan.me/feed/', 'http://ajdg.solutions/feed/'), 
							'items' => 3, 
							'show_summary' => 1, 
							'show_author' => 0, 
							'show_date' => 1)
						); ?>
					</div>
				</div>
		
			</div>	
		</div>

	</div>
</div>