<?php
/*
Plugin Name: Analytics Spam Blocker
Description: This plugin blocks spam sites like semalt.com and buttons-for-website.com from reaching your website and affecting your Google Analytics statistics.
Version: 2.3
Author: Arnan de Gans, Luke Williamson
Author URI: http://www.arnan.me
License: GPLv2

---------------------------------------------------------------------------------------
*  COPYRIGHT NOTICE
*  Copyright 2016-2017 Arnan de Gans. All Rights Reserved.

*  COPYRIGHT NOTICES AND ALL THE COMMENTS SHOULD REMAIN INTACT.
*  By using this code you agree to indemnify Arnan de Gans and Luke Williamson
*  from any liability that might arise from using this software.
---------------------------------------------------------------------------------------
*/

defined('ABSPATH') or die("42");

/*--- Load Files --------------------------------------------*/
require_once(dirname(__FILE__).'/analytics-spam-blocker-functions.php');
require_once(dirname(__FILE__).'/analytics-spam-blocker-api.php');
/*-----------------------------------------------------------*/

/*--- Core --------------------------------------------------*/
register_activation_hook(__FILE__, 'asb_activate');
register_deactivation_hook(__FILE__, 'asb_deactivate');
add_action('asb_blocklist_update', 'asb_api_blocklist_update');
/*-----------------------------------------------------------*/

/*--- Back end ----------------------------------------------*/
if(is_admin()) {
	/*--- Dashboard ---------------------------------------------*/
	add_action('admin_menu', 'asb_dashboard_menu');
	add_action("admin_print_styles", 'asb_dashboard_styles');
	add_action('admin_notices', 'asb_notifications_dashboard');
	/*--- Actions -----------------------------------------------*/
	if(isset($_POST['asb_report_submit'])) add_action('init', 'asb_report_submit');
	if(isset($_POST['asb_register_site'])) add_action('init', 'asb_api_activate');
}
/*-----------------------------------------------------------*/

/*-------------------------------------------------------------
 Name:      asb_dashboard_menu
 Purpose:   Add pages to admin menus
-------------------------------------------------------------*/
function asb_dashboard_menu() {
	$asb_tools = '';
	$asb_tools = add_management_page('Analytics Spam Blocker', 'Analytics Spam Blocker', 'manage_options', 'analytics-spam-blocker', 'asb_info');
}

/*-------------------------------------------------------------
 Name:      asb_info
 Purpose:   Admin general info page
-------------------------------------------------------------*/
function asb_info() {
	$status = $do = '';
	if(isset($_GET['status'])) $status = esc_attr($_GET['status']);
	if(isset($_GET['do'])) $do = esc_attr($_GET['do']);

	$current_user = wp_get_current_user();
	
	if($do == 'check') asb_api_response('check');
	if($do == 'schedule') asb_schedule_updates();
	?>

	<div class="wrap">
		<h1><?php _e('Analytics Spam Blocker', 'analytics-spam-blocker'); ?></h1>

		<?php 
		if($status > 0) asb_status($status);
		include("analytics-spam-blocker-dashboard.php");
		?>

		<br class="clear" />
	</div>
<?php
}